/*+ $PCBSTSDEF
  Module ($PCBSTSDEF) of FERMI$LIB:LCLCDEF.TLB.
 
  Defines symbols for the process status bits in the PCB which is
  returned by $GETJPI for the JPI$_STS item code.
-*/
/* Extracted $PCBDEF from SYS$LIBRARY:LIB on 30-DEC-1983*/
				/* Bit numbers: */
#define  PCB$V_ASTPEN    17	/* AST pending */
#define  PCB$V_BATCH     14	/* Process is a batch job */
#define  PCB$V_DELPEN    1	/* Delete pending */
#define  PCB$V_DISAWS    24	/* Disable automatic WS adjustment */
#define  PCB$V_FORCPEN   2	/* Force exit pending */
#define  PCB$V_HIBER     19	/* Hibernate after initial image activate */
#define  PCB$V_INQUAN    3	/* Initial quantum in progress */
#define  PCB$V_LOGIN     20	/* Login w/o reading authorization file */
#define  PCB$V_NETWRK    21	/* Network connected job */
#define  PCB$V_NOACNT    15	/* No accounting for process */
#define  PCB$V_NODELET   23	/* No delete */
#define  PCB$V_PHDRES    18	/* Process header resident */
#define  PCB$V_PSWAPM    4	/* Process swap mode (1noswap) */
#define  PCB$V_PWRAST    22	/* Power failure AST */
#define  PCB$V_RES       0	/* Resident in balance set */
#define  PCB$V_RESPEN    5	/* Resume pending, skip suspend */
#define  PCB$V_SSFEXC    6	/* System service exception enabled (K) */
#define  PCB$V_SSFEXCE   7	/* System service exception enabled (E) */
#define  PCB$V_SSFEXCS   8	/* System service exception enabled (S) */
#define  PCB$V_SSFEXCU   9	/* System service exception enabled (U) */
#define  PCB$V_SSRWAIT   10	/* System service resource wait disable */
#define  PCB$V_SUSPEN    11	/* Suspend pending */
#define  PCB$V_SWPVBN    16	/* Warite for swap VBN in progress */
#define  PCB$V_WAKEPEN   12	/* Wake pending, skip hibernate */
#define  PCB$V_WALL      13	/* Wait for all events in mask */
				/* Bit masks: */
#define  PCB$M_ASTPEN    (1 << PCB$V_ASTPEN)
#define  PCB$M_BATCH     (1 << PCB$V_BATCH)
#define  PCB$M_DELPEN    (1 << PCB$V_DELPEN)
#define  PCB$M_DISAWS    (1 << PCB$V_DISAWS)
#define  PCB$M_FORCPEN   (1 << PCB$V_FORCPEN)
#define  PCB$M_HIBER     (1 << PCB$V_HIBER)
#define  PCB$M_INQUAN    (1 << PCB$V_INQUAN)
#define  PCB$M_LOGIN     (1 << PCB$V_LOGIN)
#define  PCB$M_NETWRK    (1 << PCB$V_NETWRK)
#define  PCB$M_NOACNT    (1 << PCB$V_NOACNT)
#define  PCB$M_NODELET   (1 << PCB$V_NODELET)
#define  PCB$M_PHDRES    (1 << PCB$V_PHDRES)
#define  PCB$M_PSWAPM    (1 << PCB$V_PSWAPM)
#define  PCB$M_PWRAST    (1 << PCB$V_PWRAST)
#define  PCB$M_RES       (1 << PCB$V_RES)
#define  PCB$M_RESPEN    (1 << PCB$V_RESPEN)
#define  PCB$M_SSFEXC    (1 << PCB$V_SSFEXC)
#define  PCB$M_SSFEXCE   (1 << PCB$V_SSFEXCE)
#define  PCB$M_SSFEXCS   (1 << PCB$V_SSFEXCS)
#define  PCB$M_SSFEXCU   (1 << PCB$V_SSFEXCU)
#define  PCB$M_SSRWAIT   (1 << PCB$V_SSRWAIT)
#define  PCB$M_SUSPEN    (1 << PCB$V_SUSPEN)
#define  PCB$M_SWPVBN    (1 << PCB$V_SWPVBN)
#define  PCB$M_WAKEPEN   (1 << PCB$V_WAKEPEN)
#define  PCB$M_WALL      (1 << PCB$V_WALL)
/*
  End of $PCBSTSDEF module.
*/
