/*+ LIBVMDEF
 Interface definitions for LIB$VM package
*/
/* Extracted from V4.4 SYS$LIBRARY:STARLET.REQ on  10-Jun-1986 */

#define LIB$K_VM_FIRST_FIT	1	/* first fit */
#define LIB$K_VM_QUICK_FIT	2	/* quick fit, with fixed queues of preferred sizes */
#define LIB$K_VM_FREQ_SIZES	3	/* first fit, with frequent sizes cache */
#define LIB$K_VM_FIXED		4	/* fixed size blocks */

#define LIB$M_VM_BOUNDARY_TAGS	0X1	/* boundary tagged blocks */
#define LIB$M_VM_GET_FILL0	0X2	/* 0-fill for lib$get_vm */
#define LIB$M_VM_GET_FILL1	0X4	/* 1-fill for lib$get_vm */
#define LIB$M_VM_FREE_FILL0	0X8	/* 0-fill for lib$free_vm */
#define LIB$M_VM_FREE_FILL1	0X10	/* 1-fill for lib$free_vm */
#define LIB$M_VM_EXTEND_AREA	0X20	/* add extent to existing area if possible */
